Ubuntu: Connect to L2TP over IPsec



Question:

I am trying to connect to a L2TP over IPsec VPN I installed network-manager-l2tp and this repository : ppa:nm-l2tp/network-manager-l2tp and when I'm trying to add the connection from Network Connections I get this error Could not load editor VPN plugin for 'org.freedesktop.NetworkManager.l2tp' (missing plugin file "/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-vpn-plugin-l2tp-editor.so").

How can I install the plugin?


Solution:1

This appears to be because you just installed the command-line side of NetworkManager's L2TP support.

In order to use the GUI to configure L2TP VPNs as well, you will need to install the network-manager-l2tp-gnome package like so:

sudo apt install network-manager-l2tp-gnome  

Following this, a restart of nm-applet may be necessary to make NetworkManager see the change. In order to do this, just run the following:

killall nm-applet  nm-applet &  disown  

Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »